MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024774Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-03-28 09:312014-11-11 12:51
Reporterdln 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024774: Convertation of the generic classes to the non-generic. Part 8
DescriptionGeneric classes:

 "GProp_CGProps",
 "GProp_SGProps",
 "GProp_VGProps",
 "GProp_VGPropsGK",
 "GProp_TFunction" (internal),
 "GProp_UFunction" (internal)
 
from "GProp" package converted to the non-generic classes and moved to the "BRepGProp" package. Names of several classes were changed to:
 
 "BRepGProp_Cinert",
 "BRepGProp_Sinert",
 "BRepGProp_Vinert",
 "BRepGProp_VinertGK".

Also all instantiations of the "internal" classes of this classes were moved to the "Geom2dHatch.cdl". For new "BRepGProp_TFunction" and "BRepGProp_UFunction" internal classes two new "*.cdl" files were created.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024487closedabv Getting rid of generic CDL classes 

-  Notes
(0028525)
dln (developer)
2014-03-28 09:56

Changes are ready for review in CR24774 branch.
(0028527)
abv (manager)
2014-03-28 10:04

No remarks from my side. Igor, please review
(0028532)
ifv (developer)
2014-03-28 11:09

Ok
(0028608)
mkv (tester)
2014-04-01 19:11

Dear BugMaster,

Branch CR24774 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: ae39b01e5fa08a91793448a932d220a425a64a19

Number of compiler warnings:

occt component :
Linux: 27 (27 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 393922928 / 393087456
Total CPU difference: 48665.12000000015 / 57189.309999999896

Testing on Windows:
Total MEMORY difference: 422902596 / 414305036
Total CPU difference: 36311.3125 / 42799.171875

There are no differences in images found by testdiff.

- Related Changesets
occt: master 424cd6bb
Timestamp: 2014-03-28 05:55:22
Author: dln
Committer: apn
Details ] Diff ]
0024774: Convertation of the generic classes to the non-generic. Part 8

Generic classes:

 "GProp_CGProps",
 "GProp_SGProps",
 "GProp_VGProps",
 "GProp_VGPropsGK",
 "GProp_TFunction" (internal),
 "GProp_UFunction" (internal)

from "GProp" package converted to the non-generic classes and moved to the "BRepGProp" package. Names of several classes were changed to:

 "BRepGProp_Cinert",
 "BRepGProp_Sinert",
 "BRepGProp_Vinert",
 "BRepGProp_VinertGK".

Also all instantiations of the "internal" classes of this classes were moved to the "Geom2dHatch.cdl". For new "BRepGProp_TFunction" and "BRepGProp_UFunction" internal classes two new "*.cdl" files were created.
mod - src/BRepGProp/BRepGProp.cdl Diff ] File ]
mod - src/BRepGProp/BRepGProp_Face.cxx Diff ] File ]
add - src/BRepGProp/BRepGProp_TFunction.cdl Diff ] File ]
add - src/BRepGProp/BRepGProp_UFunction.cdl Diff ] File ]
add - src/BRepGProp/BRepGProp_Vinert.cxx Diff ] File ]
add - src/BRepGProp/BRepGProp_VinertGK.cdl Diff ] File ]
mod - src/GProp/GProp.cdl Diff ] File ]
rm - src/GProp/GProp_VGProps.gxx Diff ] File ]
rm - src/GProp/GProp_VGPropsGK.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-28 09:31 dln New Issue
2014-03-28 09:31 dln Assigned To => abv
2014-03-28 09:56 dln Note Added: 0028525
2014-03-28 09:56 dln Status new => resolved
2014-03-28 10:04 abv Assigned To abv => ifv
2014-03-28 10:04 abv Note Added: 0028527
2014-03-28 11:09 ifv Note Added: 0028532
2014-03-28 11:09 ifv Status resolved => reviewed
2014-03-28 12:57 kgv Assigned To ifv => bugmaster
2014-03-28 18:32 mkv Assigned To bugmaster => mkv
2014-04-01 19:11 mkv Note Added: 0028608
2014-04-01 19:11 mkv Test case number => Not needed
2014-04-01 19:11 mkv Assigned To mkv => bugmaster
2014-04-01 19:11 mkv Status reviewed => tested
2014-04-04 14:00 abv Target Version 6.7.1 => 6.8.0
2014-04-04 17:03 apn Changeset attached => occt master 424cd6bb
2014-04-04 17:03 apn Assigned To bugmaster => apn
2014-04-04 17:03 apn Status tested => verified
2014-04-04 17:03 apn Resolution open => fixed
2014-04-10 14:47 kgv Relationship added child of 0024487
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker